FilterConfig (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.filters

## [Groovy] Class FilterConfig

- org.codehaus.groovy.grails.plugins.web.filters.FilterConfig

- Authors:
    mike
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ControllersApi` | `BIND_DATA_METHOD, RENDER_METHOD_NAME, SLASH, forwardMethod, redirect, render, withFormMethod`
    `class CommonWebApi` | `RAW_CODEC_NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `after`
    `groovy.lang.Closure` | `afterView`
    `groovy.lang.Closure` | `before`
    `java.lang.Object` | `errors` Redirects attempt to access an 'errors' property, so we provide one here with a null value.
    `java.lang.Object` | `filtersDefinition` This is the filters definition bean that declared the filter config.
    `boolean` | `initialised`
    `org.springframework.web.servlet.ModelAndView` | `modelAndView`
    `java.lang.String` | `name`
    `java.util.Map` | `scope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FilterConfig ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args)`
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed)`
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed, java.lang.String filter)`
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude)`
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude, java.lang.String filter)`
    `java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.lang.String filter)`
    `java.lang.Object` | `chain(java.util.Map args)`
    `java.lang.String` | `forward(java.util.Map params)`
    `java.lang.String` | `getActionName()`
    `java.lang.String` | `getActionUri()`
    `org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `java.util.Map` | `getChainModel()`
    `java.lang.Object` | `getControllerClass()`
    `java.lang.String` | `getControllerName()`
    `java.lang.String` | `getControllerNamespace()`
    `java.lang.String` | `getControllerUri()`
    `org.springframework.validation.Errors` | `getErrors()`
    `FlashScope` | `getFlash()`
    `GrailsApplication` | `getGrailsApplication()`
    `GrailsApplicationAttributes` | `getGrailsAttributes()`
    `GrailsParameterMap` | `getParams()`
    `java.lang.String` | `getPluginContextPath()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `javax.servlet.http.HttpServletResponse` | `getResponse()`
    `javax.servlet.ServletContext` | `getServletContext()`
    `javax.servlet.http.HttpSession` | `getSession()`
    `java.lang.String` | `getTemplateUri(java.lang.String name)`
    `java.lang.String` | `getViewUri(java.lang.String name)`
    `GrailsWebRequest` | `getWebRequest()`
    `java.lang.Object` | `getWiredFiltersDefinition()`
    `boolean` | `hasErrors()`
    `void` | `header(java.lang.String headerName, java.lang.Object headerValue)`
    `void` | `initializeMetaClass()`
    `java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object args)` When the filter does not have a particular method, it passes the call on to the filter definition class.
    `java.lang.Object` | `propertyMissing(java.lang.String propertyName)` When the filter does not have a particular property, it passes the request on to the filter definition class.
    `java.lang.Object` | `redirect(java.util.Map args)`
    `java.lang.Object` | `render(java.lang.Object o)`
    `java.lang.Object` | `render(java.lang.String txt)`
    `java.lang.Object` | `render(java.util.Map args)`
    `java.lang.Object` | `render(groovy.lang.Closure c)`
    `java.lang.Object` | `render(java.util.Map args, groovy.lang.Closure c)`
    `void` | `setErrors(org.springframework.validation.Errors errors)`
    `java.lang.String` | `toString()`
    `java.lang.Object` | `withForm(groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ControllersApi` | `bindData, bindData, bindData, bindData, bindData, bindData, bindData, bindData, chain, forward, getActionUri, getChainModel, getControllerUri, getErrors, getExceptionHandlerMethodFor, getModelAndView, getStaticApplicationContext, getTemplateUri, getViewUri, hasErrors, header, initialize, initializeCommandObject, invokeRender, redirect, redirect, render, render, render, render, render, render, render, setErrors, setGspEncoding, setLinkGenerator, setModelAndView, setRedirectListeners, setUseJessionId, withForm`
    `class CommonWebApi` | `currentRequestAttributes, getActionName, getApplicationContext, getControllerClass, getControllerName, getControllerNamespace, getFlash, getGrailsApplication, getGrailsAttributes, getParams, getPluginContextPath, getRequest, getResponse, getServletContext, getSession, getWebRequest, raw, setApplicationContext, setGrailsApplication, setServletContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovy.lang.Closure after

    - #### groovy.lang.Closure afterView

    - #### groovy.lang.Closure before

    - #### java.lang.Object errors

      Redirects attempt to access an 'errors' property, so we provide one here with a null value.

    - #### java.lang.Object filtersDefinition

      This is the filters definition bean that declared the filter config. Since it may contain injected services, etc., we delegate any missing properties or methods to it.

    - #### boolean initialised

    - #### org.springframework.web.servlet.ModelAndView modelAndView

    - #### java.lang.String name

    - #### java.util.Map scope

  - ### Constructor Detail

    - #### FilterConfig()

  - ### Method Detail

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args)

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed)

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed, java.lang.String filter)

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude)

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude, java.lang.String filter)

    - #### java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.lang.String filter)

    - #### java.lang.Object chain(java.util.Map args)

    - #### java.lang.String forward(java.util.Map params)

    - #### java.lang.String getActionName()

    - #### java.lang.String getActionUri()

    - #### org.springframework.context.ApplicationContext getApplicationContext()

    - #### java.util.Map getChainModel()

    - #### java.lang.Object getControllerClass()

    - #### java.lang.String getControllerName()

    - #### java.lang.String getControllerNamespace()

    - #### java.lang.String getControllerUri()

    - #### org.springframework.validation.Errors getErrors()

    - #### FlashScope getFlash()

    - #### GrailsApplication getGrailsApplication()

    - #### GrailsApplicationAttributes getGrailsAttributes()

    - #### GrailsParameterMap getParams()

    - #### java.lang.String getPluginContextPath()

    - #### javax.servlet.http.HttpServletRequest getRequest()

    - #### javax.servlet.http.HttpServletResponse getResponse()

    - #### javax.servlet.ServletContext getServletContext()

    - #### javax.servlet.http.HttpSession getSession()

    - #### java.lang.String getTemplateUri(java.lang.String name)

    - #### java.lang.String getViewUri(java.lang.String name)

    - #### GrailsWebRequest getWebRequest()

    - #### java.lang.Object getWiredFiltersDefinition()

    - #### boolean hasErrors()

    - #### void header(java.lang.String headerName, java.lang.Object headerValue)

    - #### void initializeMetaClass()

    - #### java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object args)

      When the filter does not have a particular method, it passes the call on to the filter definition class.

    - #### java.lang.Object propertyMissing(java.lang.String propertyName)

      When the filter does not have a particular property, it passes the request on to the filter definition class.

    - #### java.lang.Object redirect(java.util.Map args)

    - #### java.lang.Object render(java.lang.Object o)

    - #### java.lang.Object render(java.lang.String txt)

    - #### java.lang.Object render(java.util.Map args)

    - #### java.lang.Object render(groovy.lang.Closure c)

    - #### java.lang.Object render(java.util.Map args, groovy.lang.Closure c)

    - #### void setErrors(org.springframework.validation.Errors errors)

    - #### java.lang.String toString()

    - #### java.lang.Object withForm(groovy.lang.Closure callable)